/*
 * $Id: IClassInstrumenter.java,v 1.1 2005/07/21 12:46:51 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jul 18, 2005 10:42:16 AM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.bcel.instrumenter;

import org.apache.bcel.classfile.JavaClass;

/**
 * The class instrumenter instruments the class with additional byte code
 * informations.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IClassInstrumenter {

    /**
     * Modify the given class and return the modified class.
     * 
     * @param clazz
     *            the class to modify by the class instrumenter.
     * 
     * @return the modified class.
     * @throws InstrumentationException
     *             if something fails on the byte code instrumentation of the
     *             given class.
     */
    public JavaClass modifyClass(JavaClass clazz)
            throws InstrumentationException;

    /**
     * Return an array of package and class names tha should be ignored by the
     * class instrumeter.
     * 
     * @return an array of package and class names tha should be ignored by the
     *         class instrumeter.
     */
    public String[] getIgnoredPackages();

}
