/*
 * $Id: InstrumentationException.java,v 1.2 2005/09/13 11:20:38 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 20.07.2005 08:19:00 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.bcel.instrumenter;

/**
 * This exception will be thrown if something fails on the instrumentation of
 * the byte code of a java class.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class InstrumentationException extends Exception {

	private static final long serialVersionUID = -5508505217131260814L;

	/**
	 * 
	 */
	public InstrumentationException() {
		super();
	}

	/**
	 * @param message
	 */
	public InstrumentationException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public InstrumentationException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public InstrumentationException(String message, Throwable cause) {
		super(message, cause);
	}

}
