/*
 * $Id: CTSRunResult.java,v 1.2 2005/09/11 13:31:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 14.08.2005 15:03:42 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client.cts;

import java.util.HashMap;
import java.util.Map;
import java.util.Vector;

import org.deltadebugging.ddstate.launcher.ddrun.IDDLaunchDescription;
import org.deltadebugging.ddstate.launcher.ddrun.IDDRunResult;
import org.deltadebugging.ddstate.launcher.matcher.IMatchPoint;

public class CTSRunResult implements ICTSRunResult {

	private final IDDLaunchDescription fLaunchDesc;

	private final MatchPointInterval fMatchPoints;

	private final Map fResultMap = new HashMap();

	public CTSRunResult(IDDLaunchDescription launchDesc,
			MatchPointInterval matchPoints) {
		this.fLaunchDesc = launchDesc;
		this.fMatchPoints = matchPoints;
	}

	public void addDDRunResult(IMatchPoint matchPoint, IDDRunResult ddRunResult) {
		if (!this.fResultMap.containsKey(matchPoint)) {
			this.fResultMap.put(matchPoint, ddRunResult);
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.client.cts.ICTSRunResult#getLaunchDescription()
	 */
	public IDDLaunchDescription getLaunchDescription() {
		return this.fLaunchDesc;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.client.cts.ICTSRunResult#getAllCauseTransitions()
	 */
	public IDDRunResult[] getAllCauseTransitions() {

		Vector ddRunResults = new Vector();
		
		// collect all dd run results
		for (int i = 0; i < this.fMatchPoints.length(); i++) {
			IMatchPoint matchPoint = this.fMatchPoints.getMatchPointAtIndex(i);

			if (this.fResultMap.containsKey(matchPoint)) {
				ddRunResults.add(this.fResultMap.get(matchPoint));
			}
		}		

		return (IDDRunResult[]) ddRunResults
				.toArray(new IDDRunResult[ddRunResults.size()]);
	}
}
