/*
 * $Id: ICTSRunListener.java,v 1.2 2005/08/17 17:26:52 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 17, 2005 6:10:18 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client.cts;

import org.deltadebugging.ddstate.launcher.ddrun.IDDLaunchDescription;

/**
 * A cts run listener receives notifications of the process of a cause
 * transition run.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface ICTSRunListener {

	/**
	 * Notify the listeners that a new cause transition run was started. For a
	 * specific description of the cts run look at the given parameter object.
	 * 
	 * @param desc
	 *            the description with all informations to run the cause
	 *            transition algorithm.
	 */
	public void ctsRunStarted(IDDLaunchDescription desc);

	/**
	 * Notify the listeners that the cause transition run has terminated.
	 * 
	 * @param result
	 *            the result of the cause transition run.
	 */
	public void ctsRunTerminated(ICTSRunResult result);

}
