/*
 * $Id: IMatchPoint.java,v 1.3 2005/08/15 12:31:22 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jul 20, 2005 1:38:19 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher;

import org.deltadebugging.ddstate.launcher.matcher.breakpoint.IBreakpointLocation;

/**
 * A match point is a pair of two breakpoints. A match point determine a
 * comparable location within two test excecutions. Comparable in the sense that
 * at the defined location we can apply delta debugging.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IMatchPoint {

	/**
	 * Return the breakpoint location for the passing run.
	 * 
	 * @return the breakpoint location for the passing run.
	 */
	public IBreakpointLocation getPassingBreakpointLocation();

	/**
	 * Return the breakpoint location for the failing run.
	 * 
	 * @return the breakpoint location for the failing run.
	 */
	public IBreakpointLocation getFailingBreakpointLocation();

}
