/*
 * $Id: IMethodEntryBreakpointLocation.java,v 1.2 2005/08/21 13:14:05 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.08.2005 11:46:47 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher.breakpoint;

import org.deltadebugging.ddstate.memorygraph.IMethodIdentifier;

/**
 * The method entry breakpoint location defines a location on the method entry.
 * For this you have to specify the method name with the signature of the
 * argument types and the full qualified type name.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IMethodEntryBreakpointLocation extends IBreakpointLocation {

	/**
	 * Returns the identifier for the method, which describes the breakpoint
	 * location.
	 * 
	 * @return the identifier for the method, which describes the breakpoint
	 *         location.
	 */
	public IMethodIdentifier getMethodIdentifier();
}
