/*
 * $Id: LineBreakpointLocation.java,v 1.3 2005/08/29 11:48:56 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.08.2005 11:45:05 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher.breakpoint;

/**
 * The line breakpoint location defines the breakpoint at a specified line in
 * the type where the breakpoint was specified.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class LineBreakpointLocation extends AbstractBreakpointLocation implements
		ILineBreakpointLocation {

	private final int fLineNumber;

	public LineBreakpointLocation(String typeName, int lineNumber, int hitCount) {
		super(typeName, hitCount);
		this.fLineNumber = lineNumber;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.matcher.breakpoint.ILineBreakpointDesc#getLineNumber()
	 */
	public int getLineNumber() {
		return this.fLineNumber;
	}
    
    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    public String toString() {
        StringBuffer result = new StringBuffer();
        result.append("LineBreakpoint:\n");
        result.append("\tTypeName       : " + this.getTypeName() + "\n");
        result.append("\tHitCount       : " + this.getHitCount() + "\n");
        result.append("\tLineNumber     : " + this.getLineNumber() + "\n");

        return result.toString();
    }

}
