/*
 * $Id: MatchPointComputationException.java,v 1.2 2005/08/11 09:21:29 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jul 20, 2005 3:04:37 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher.exception;

/**
 * This exception will thrown if the computation of the match points fails.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class MatchPointComputationException extends Exception {

	private static final long serialVersionUID = 1591110577148097814L;

	public MatchPointComputationException() {
		super();
	}

	public MatchPointComputationException(String message) {
		super(message);
	}

	public MatchPointComputationException(Throwable cause) {
		super(cause);
	}

	public MatchPointComputationException(String message, Throwable cause) {
		super(message, cause);
	}

}
