/*
 * $Id: ExtTestSuiteLoader.java,v 1.4 2005/07/21 12:50:38 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 17.03.2005 09:31:14 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.server;

import org.deltadebugging.ddstate.launcher.bcel.instrumenter.IClassInstrumenter;

import junit.runner.TestSuiteLoader;

/**
 * COMMENTME Comment type ExtTestSuiteLoader
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class ExtTestSuiteLoader implements TestSuiteLoader {

    private final IClassInstrumenter fClassInstrumenter;
    
    public ExtTestSuiteLoader(IClassInstrumenter classInstrumenter) {
        this.fClassInstrumenter = classInstrumenter;
    }    
    
    public Class load(String suiteClassName) throws ClassNotFoundException {
        return createLoader().loadClass(suiteClassName, true);
    }

    public Class reload(Class aClass) throws ClassNotFoundException {
        return createLoader().loadClass(aClass.getName(), true);
    }

    protected ExtTestCaseClassLoader createLoader() {
        return new ExtTestCaseClassLoader(this.fClassInstrumenter);
    }

}