package org.deltadebugging.addressbook.test;

import org.deltadebugging.addressbook.Address;
import org.deltadebugging.addressbook.Country;
import org.deltadebugging.addressbook.Person;
import org.deltadebugging.addressbook.TelefonList;

import junit.framework.Assert;
import junit.framework.TestCase;

public class TelefonListTest extends TestCase {

	TelefonList telefonList = new TelefonList();

	Person janeMiller;

	Address addJaneMiller;

	Person tomTailer;

	Address addTomTailer;

	Person peterSmith;

	Address addPeterSmith;

	/*
	 * (non-Javadoc)
	 * 
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		janeMiller = new Person("Jane", "Miller");
		addJaneMiller = new Address(janeMiller, "First Avenue 4", "98366",
				"Washington", Country.USA);
		telefonList.addAddress(addJaneMiller);

		tomTailer = new Person("Tom", "Tailor");
		addTomTailer = new Address(tomTailer, Country.ENGLAND);
		telefonList.addAddress(addTomTailer);

		peterSmith = new Person("Peter", "Smith");
		addPeterSmith = new Address(peterSmith, Country.GERMANY);
		telefonList.addAddress(addPeterSmith);
	}
	
	public void testCallChain() {
		Address nextAddress = telefonList.getNextAddress(addJaneMiller);
		System.out.println(nextAddress.getPerson().getLastName());
		Assert.assertEquals("Tailor", nextAddress.getPerson().getLastName());
	}
	
	public void testCallChain2() {
		telefonList.removeAddress(addTomTailer);
		Address nextAddress = telefonList.getNextAddress(addJaneMiller);
		System.out.println(nextAddress.getPerson().getLastName());
		Assert.assertEquals("Tailor", nextAddress.getPerson().getLastName());
	}

}
