/*
 * $Id: ObjectAttributeTest_PassingNull.java,v 1.3 2005/09/28 13:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:29:28 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.memgraph.objectattribute;

import junit.framework.Assert;
import junit.framework.TestCase;

public class ObjectAttributeTest_PassingNull extends TestCase {

	// a simple test object with an object as attribute
	class Test {

		public Object object = null;

		public Test(Object object) {
			this.object = object;
		}
	}

	public void testPassingRun() {
		Test test = new Test(null);
		Assert.assertNotNull(test.object);
	}

	public void testFailingRun() {
		Test test = new Test(new Object());
		Assert.assertNotNull(test.object);
	}

}