/*
 * $Id: ModifyAndAddReferenceTest.java,v 1.3 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:29:28 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.memgraph.references;

import junit.framework.Assert;
import junit.framework.TestCase;

public class ModifyAndAddReferenceTest extends TestCase {

	class Test {

		public Test referencedTest = null;

		public Test() {
		}

		public Test(Test referencedTest) {
			this.referencedTest = null;
		}
	}

	private Test testA = new Test();

	private Test testB = new Test();

	private Test testC = null;

	public void testPassingRun() {
		testA.referencedTest = testB;
		Assert.assertEquals(testB, testA.referencedTest);
	}

	public void testFailingRun() {
		testC = new Test();
		testC.referencedTest = new Test();
		testA.referencedTest = testC;
		Assert.assertEquals(testB, testA.referencedTest);
	}

}