/*
 * $Id: DDRunShowResultListener.java,v 1.1 2005/08/16 09:12:53 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 19.04.2005 13:30:41 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.resultmanager;

import org.deltadebugging.ddcore.DeltaSet;
import org.deltadebugging.ddstate.launcher.ddrun.IDDRunDescription;
import org.deltadebugging.ddstate.launcher.ddrun.IDDRunListener;
import org.deltadebugging.ddstate.launcher.ddrun.IDDRunResult;
import org.deltadebugging.ddstate.memorygraph.IRootNode;
import org.deltadebugging.ddstate.ui.DDStateUIPlugin;

/**
 * This listener show the delta debugging result in the dd result view if the
 * delta debugging run terminate successful.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class DDRunShowResultListener implements IDDRunListener {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.ddrun.IDDRunListener#ddRunTerminated(org.deltadebugging.ddstate.launcher.ddrun.IDDRunResult)
	 */
	public void ddRunTerminated(IDDRunResult result) {
		DDStateUIPlugin.getDefault().getDDRunResultManager().addDDRunResults(
				new IDDRunResult[] { result });
		DDStateUIPlugin.getDefault().getDDRunResultManager()
				.showDDRunResultView(result);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.ddrun.IDDRunListener#ddRunStarted(org.deltadebugging.ddstate.launcher.ddrun.IDDRunDescription)
	 */
	public void ddRunStarted(IDDRunDescription desc) {
		// do nothing
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.ddrun.IDDRunListener#memoryGraphsExtracted(int,
	 *      org.deltadebugging.ddstate.memorygraph.IRootNode,
	 *      org.deltadebugging.ddstate.memorygraph.IRootNode)
	 */
	public void memoryGraphsExtracted(int ddRunID, IRootNode passGraph,
			IRootNode failGraph) {
		// do nothing
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.ddrun.IDDRunListener#memoryGraphsCompared(int,
	 *      org.deltadebugging.ddstate.memorygraph.IRootNode,
	 *      org.deltadebugging.ddstate.memorygraph.IRootNode,
	 *      org.deltadebugging.ddcore.DeltaSet)
	 */
	public void memoryGraphsCompared(int ddRunID, IRootNode passGraph,
			IRootNode failGraph, DeltaSet deltas) {
		// do nothing
	}
}