/*
 * $Id: VizTypeNode.java,v 1.1 2005/11/14 12:58:25 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 16.12.2004 16:06:02 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer.vizgraph.type;

import org.deltadebugging.ddstate.memorygraph.type.ITypeNode;
import org.deltadebugging.ddstate.visualizer.vizgraph.VizGraphNode;
import org.deltadebugging.ddstate.visualizer.vizgraph.VizRootNode;

/**
 * The decorator class for the <code>ITypeNode</code>.
 * 
 * @see org.deltadebugging.ddstate.memorygraph.type.ITypeNode
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public abstract class VizTypeNode extends VizGraphNode {

    protected VizTypeNode(ITypeNode graphNode, VizRootNode rootNode) {
        super(graphNode, rootNode);
    }

    /*
     * @see org.deltadebugging.ddstate.memorygraph.type.ITypeNode#getTypeName()
     */
    public String getTypeName() {
        return ((ITypeNode) this.getGraphElement()).getTypeName();
    }
}

