/*
 * $Id: VizValueNode.java,v 1.1 2005/11/14 12:58:25 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 16.12.2004 13:43:02 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer.vizgraph.value;

import org.deltadebugging.ddstate.memorygraph.value.IValueNode;
import org.deltadebugging.ddstate.visualizer.vizgraph.VizGraphNode;
import org.deltadebugging.ddstate.visualizer.vizgraph.VizRootNode;
import org.eclipse.jdt.debug.core.IJavaValue;

/**
 * The decorator class for the <code>IValueNode</code>.
 * 
 * @see org.deltadebugging.ddstate.memorygraph.value.IValueNode
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public abstract class VizValueNode extends VizGraphNode {

    public VizValueNode(IValueNode graphNode, VizRootNode rootNode) {
        super(graphNode, rootNode);
    }

    /*
     * @see org.deltadebugging.ddstate.memorygraph.value.IValueNode#getValue()
     */
    public IJavaValue getValue() {
        return ((IValueNode) this.getGraphElement()).getValue();
    }

    /*
     * @see org.deltadebugging.ddstate.memorygraph.value.IValueNode#getReferenceTypeName()
     */
    public String getReferenceTypeName() {
        return ((IValueNode) this.getGraphElement())
                .getReferenceTypeName();
    }
}

