/*
 * $Id: IGraphComparatorListener.java,v 1.8 2005/11/14 12:58:27 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 28.12.2004 09:54:06 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.comparator;

import org.deltadebugging.ddstate.memorygraph.IGraphEdge;
import org.deltadebugging.ddstate.memorygraph.IRootNode;
import org.deltadebugging.ddstate.memorygraph.value.IArrayNode;
import org.deltadebugging.ddstate.memorygraph.value.IPrimitiveValueNode;
import org.deltadebugging.ddstate.memorygraph.value.IStringObjectNode;

/**
 * COMMENTME Comment type IGraphComperatorListener
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IGraphComparatorListener {

    // COMMENTME comparisonRunStarted
    public abstract void comparisonRunStarted(int ddRunID,
            IRootNode firstGraph, IRootNode secondGraph);

    // COMMENTME comparisonRunTerminated
    public abstract void comparisonRunTerminated(int ddRunID, long elapsedTime);

    // COMMENTME primitiveValueChanged
    public abstract void primitiveValueChanged(int ddRunID,
            IPrimitiveValueNode firstValue,
            IPrimitiveValueNode secondValue);

    // COMMENTME stringValueChanged
    public abstract void stringValueChanged(int ddRunID,
            IStringObjectNode firstString,
            IStringObjectNode secondString);

    // COMMENTME deleteValue
    public abstract void deleteValue(int ddRunID, IGraphEdge objRef);

    // COMMENTME arrayLenghtChanged
    public abstract void arrayLengthChanged(int ddRunID,
            IArrayNode firstArray,
            IArrayNode secondArray);
}