/*
 * $Id: ITestRunner.java,v 1.14 2005/11/14 10:59:58 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 02.02.2005 08:53:42 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client;

import org.deltadebugging.ddstate.memorygraph.type.IReferenceTypeNode;
import org.deltadebugging.ddstate.memorygraph.util.Path;
import org.deltadebugging.ddstate.memorygraph.value.IObjectNode;
import org.eclipse.jdt.debug.core.IJavaDebugTarget;
import org.eclipse.jdt.debug.core.IJavaThread;
import org.eclipse.jdt.debug.core.IJavaValue;

/**
 * COMMENTME Comment type IDDTestRunner
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface ITestRunner {

    // COMMENTME getCurrentClassLoaderID
    public int getCurrentClassLoaderID() throws TestRunnerException;

    // COMMENTME createNewObject
    public IJavaValue createNewObject(IObjectNode objToCreate,
            IJavaThread thread) throws ObjectCreationException,
            TestRunnerException;

    // COMMENTME loadClass
    public void loadClass(IReferenceTypeNode classToLoad)
            throws ClassNotFoundException, TestRunnerException;

    // COMMENTME isObjectAlreadyCreated
    public boolean isObjectAlreadyCreated(IObjectNode obj);

    // COMMENTME getPathToCreatedObject
    public Path getPathToCreatedObject(IObjectNode obj);

    // COMMENTME getDebugTarget
    public IJavaDebugTarget getDebugTarget();

}