/*
 * $Id: ObjectCreationException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 07.06.2005 18:39:27 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client;

/**
 * COMMENTME Comment type ObjectCreationException
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class ObjectCreationException extends Exception {


    private static final long serialVersionUID = 1598259960666807180L;

    private final String fClassName;

    /**
     * @param message
     */
    public ObjectCreationException(String className, String message) {
        super(message);

        this.fClassName = className;
    }

    /**
     * @param cause
     */
    public ObjectCreationException(String className, Throwable cause) {
        super(cause);

        this.fClassName = className;
    }

    /**
     * @param message
     * @param cause
     * @param className
     */
    public ObjectCreationException(String className, String message,
            Throwable cause) {
        super(message, cause);

        this.fClassName = className;
    }
    
    public String getClassName() {
        return this.fClassName;
    }

}
