/*
 * $Id: IGraphEdge.java,v 1.4 2005/11/17 12:32:28 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 31.08.2004 14:12:53 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph;

/**
 * The graph edge is the directed edge between two graph nodes.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IGraphEdge extends IGraphElement {

	/**
	 * Returns the target node of the edge.
	 * 
	 * @return the target node of the edge.
	 */
	public IGraphNode getTargetNode();

	/**
	 * Returns the source node of the edge.
	 * 
	 * @return the source node of the edge.
	 */
	public IGraphNode getSourceNode();
	
    // COMMENTME getName
    public String getName();
}