/*
 * $Id: IGraphElement.java,v 1.12 2005/11/17 12:32:28 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 26.08.2004 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph;

import org.deltadebugging.ddcore.DeltaSet;
import org.deltadebugging.ddstate.comparator.IGraphElementComparable;
import org.deltadebugging.ddstate.memorygraph.exceptions.DeltaComputationException;

/**
 * COMMENTME Comment type ***
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IGraphElement extends IGraphElementComparable {

	/**
	 * Return the rootnode of this graph element.
	 * 
	 * @return the rootnode of this graph element.
	 */
    public IRootNode getRootNode();

    // COMMENTME computeDeltaSet
    public DeltaSet computeDeltaSet(IGraphElement element)
            throws DeltaComputationException;

    // COMMENTME graphEquals
    public boolean graphEquals(IGraphElement element);

}