/*
 * $Id: ICreateDelta.java,v 1.3 2005/11/14 10:59:58 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 29.07.2005 18:20:49 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.delta;

import org.deltadebugging.ddstate.memorygraph.value.IValueNode;

/**
 * The create delta creates a new value in the memory. This can either be an
 * object or a primitive value.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface ICreateDelta extends IMemoryGraphDelta {

    /**
     * Returns the value that will be created by this delta.
     * 
     * @return the value that will be created by this delta.
     */
    public IValueNode getValueToCreate();

}
