/*
 * $Id: IDeleteDelta.java,v 1.3 2005/11/21 10:42:04 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 29.07.2005 18:20:49 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.delta;

import org.deltadebugging.ddstate.memorygraph.IGraphEdge;

/**
 * The delete delta deletes a value in the memory.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IDeleteDelta extends IMemoryGraphDelta {

	/**
	 * Returns the edge of the variable that will be deleted by this delta.
	 * 
	 * @return the edge of the variable that will be deleted by this delta.
	 */
	public IGraphEdge getVariableToDelete();

}
