/*
 * $Id: MemoryGraphExtractionException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.12.2004 21:27:13 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.exceptions;

/**
 * This exception will be thrwon if something went wrong on extraction
 * (unfolding) the memory graph.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class MemoryGraphExtractionException extends MemoryGraphException {

    private static final long serialVersionUID = 593686793288071501L;

    /**
     *  
     */
    public MemoryGraphExtractionException() {
        super();
    }

    /**
     * @param message
     */
    public MemoryGraphExtractionException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public MemoryGraphExtractionException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public MemoryGraphExtractionException(String message, Throwable cause) {
        super(message, cause);
    }

}

