/*
 * $Id: AbstractGraphNodeFilter.java,v 1.1 2005/03/24 08:05:32 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 23.03.2005 22:25:42 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.filter.nodefilter;

import org.deltadebugging.ddstate.memorygraph.IGraphNode;
import org.deltadebugging.ddstate.memorygraph.filter.GraphFilterException;

/**
 * COMMENTME Comment type AbstractGraphNodeFilter
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public abstract class AbstractGraphNodeFilter implements IGraphNodeFilter {

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.filter.IGraphFilter#filterObject(java.lang.Object)
     */
    public boolean filterObject(Object obj) throws GraphFilterException {
        boolean result = false;

        if (obj instanceof IGraphNode) {
            result = this.filterGraphNode((IGraphNode) obj);
        }

        return result;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.filter.nodefilter.IGraphNodeFilter#unfoldGraphNode(org.deltadebugging.ddstate.memorygraph.IGraphNode)
     */
    public abstract boolean filterGraphNode(IGraphNode graphNode)
            throws GraphFilterException;

}