/*
 * $Id: GlobalVariableEdge.java,v 1.5 2005/11/28 15:28:44 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 22, 2005 1:43:24 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.type;

import org.deltadebugging.ddstate.memorygraph.GraphEdge;
import org.deltadebugging.ddstate.memorygraph.value.IValueNode;

/**
 * A global variable is a variable direct accesed by a type reference (this
 * means a global variable are all static variables).
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class GlobalVariableEdge extends GraphEdge implements
        IGlobalVariableEdge {

    public GlobalVariableEdge(IReferenceTypeNode refType,
            IValueNode targetNode, String name) {
        super(refType, targetNode, name);
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.type.IGlobalVariableEdge#getTypeNode()
     */
    public IReferenceTypeNode getTypeNode() {
        return (IReferenceTypeNode) this.getSourceNode();
    }

}
