/*
 * $Id: IGlobalVariableEdge.java,v 1.4 2005/11/21 17:03:41 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 22, 2005 1:41:14 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.type;

import org.deltadebugging.ddstate.memorygraph.IGraphEdge;

/**
 * A global variable is a variable direct accesed by a type reference (this
 * means a global variable are all static variables).
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IGlobalVariableEdge extends IGraphEdge {

    /**
     * Returns the node wich represents the reference type which declares the
     * variable connected by this edge.
     * 
     * @return the node wich represents the reference type which declares the
     *         variable connected by this edge.
     */
    public IReferenceTypeNode getTypeNode();
}
