/*
 * $Id: ITypeEdge.java,v 1.2 2005/11/21 17:03:41 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 22, 2005 1:06:42 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.type;

import org.deltadebugging.ddstate.memorygraph.IGraphEdge;

/**
 * This edge joining the root node with one reference type.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface ITypeEdge extends IGraphEdge {

    /**
     * Returns the name of the referenced type, where this edge pointed to.
     * 
     * @return the name of the referenced type, where this edge pointed to.
     */
    public String getTypeName();
}
