/*
 * $Id: TypeEdge.java,v 1.3 2005/11/28 15:28:44 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 22, 2005 1:12:13 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.type;

import org.deltadebugging.ddstate.memorygraph.GraphEdge;
import org.deltadebugging.ddstate.memorygraph.IRootNode;

/**
 * This edge joining the root node with one reference type.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class TypeEdge extends GraphEdge implements ITypeEdge {

    public TypeEdge(IRootNode rootNode, IReferenceTypeNode targetNode) {
        super(rootNode, targetNode, targetNode.getTypeName());
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.type.ITypeEdge#getTypeName()
     */
    public String getTypeName() {
        return ((IReferenceTypeNode) this.getTargetNode()).getTypeName();
    }

}
