/*
 * $Id: IClassObjectNode.java,v 1.1 2005/11/14 12:58:27 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 29.09.2005 08:39:27 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.value;

/**
 * Represents a class reference in the memory graph.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IClassObjectNode extends IObjectNode {

	/**
	 * Returns the instance type of the class reference. This can be the full
	 * qualified name of a class (like java.lang.String) or a primtive type
	 * (like int, boolen etc.).
	 * 
	 * @return the instance type of the class reference.
	 */
	public String getInstanceType();

}
